gtkmm: Gtk::Menu_Helpers::StockMenuElem Class Reference

# Gtk::Menu_Helpers::StockMenuElem Class Reference

Inherits Gtk::Menu_Helpers::Element.

Collaboration diagram for Gtk::Menu_Helpers::StockMenuElem:
[legend]

List of all members.

## Public Member Functions
| StockMenuElem (const Gtk::StockID& stock_id, const CallSlot& slot=CallSlot())
| Create a non-accelerated MenuItem from a stock item.
| StockMenuElem (const Gtk::StockID& stock_id, const AccelKey& key, const CallSlot& slot=CallSlot())
| Create an accelerated MenuItem from a stock item.
| StockMenuElem (const Gtk::StockID& stock_id, Gtk::Menu& submenu)
| Create a non-accelerated MenuItem from a stock item with a submenu.
| StockMenuElem (const Gtk::StockID& stock_id, const AccelKey& key, Gtk::Menu& submenu)
| Create an accelerated MenuItem from a stock item with a submenu.

## Constructor & Destructor Documentation

Gtk::Menu_Helpers::StockMenuElem::StockMenuElem | ( | const Gtk::StockID& | stock_id,
|  | const CallSlot & | slot = `CallSlot()` |
| ) |  |  |

Create a non-accelerated MenuItem from a stock item.

Parameters:

  | stock_id | The ID of the stock item
  | slot | Use sigc::mem_fun() to specify a signal handler

Gtk::Menu_Helpers::StockMenuElem::StockMenuElem | ( | const Gtk::StockID& | stock_id,
|  | const AccelKey& | key,
|  | const CallSlot & | slot = `CallSlot()` |
| ) |  |  |

Create an accelerated MenuItem from a stock item.

Parameters:

  | stock_id | The ID of the stock item
  | key | The accelerator key combination
  | slot | Use sigc::mem_fun() to specify a signal handler

Gtk::Menu_Helpers::StockMenuElem::StockMenuElem | ( | const Gtk::StockID& | stock_id,
|  | Gtk::Menu& | submenu |
| ) |  |  |

Create a non-accelerated MenuItem from a stock item with a submenu.

Parameters:

  | stock_id | The ID of the stock item
  | submenu | The sub menu

Gtk::Menu_Helpers::StockMenuElem::StockMenuElem | ( | const Gtk::StockID& | stock_id,
|  | const AccelKey& | key,
|  | Gtk::Menu& | submenu |
| ) |  |  |

Create an accelerated MenuItem from a stock item with a submenu.

Parameters:

  | stock_id | The ID of the stock item
  | key | The accelerator key combination
  | submenu | The sub menu

The documentation for this class was generated from the following file:

- gtkmm/menu_elems.h